import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["as", "children"];
import PropTypes from 'prop-types';
import PolymorphicElement from '@s-ui/react-atom-polymorphic-element';
import { ALPHA, COLORS, BORDER_RADIUS, ELEVATION, getClassNames } from './constants.js';
import { jsx as _jsx } from "react/jsx-runtime";

var ColorPanel = function ColorPanel(_ref) {
  var _ref$as = _ref.as,
      as = _ref$as === void 0 ? 'div' : _ref$as,
      children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return /*#__PURE__*/_jsx(PolymorphicElement, {
    as: as,
    className: getClassNames(props),
    children: children
  });
};

ColorPanel.displayName = 'ColorPanel';
export default ColorPanel;